export interface Calculator {
    operate(x: number, y: number): number;
}

export class AddCalculator implements Calculator {
    operate(x: number, y: number) {
        return x + y;
    }
}

export class MinusCalculator implements Calculator {
    operate(x: number) {
        return -x;
    }
}